:root {
    --black-color: #000000;
    --dark-green-color: #9CAB70;
    --white-color: #FFFFFF;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-style: normal
        /* font-family: 'Inter', sans-serif; */
        /* font-family: 'Kaisei Decol', serif; */
        /* font-family: 'Jost', sans-serif; */
        /* font-family: 'Italiana', serif; */
}

/* HEADER */

.header {
    display: flex;
    flex-direction: column;
    width: 100%;
    position: relative;
    align-items: center;
    margin-bottom: 1.15rem;
}

.header_background {
    width: 100%;
    object-fit: cover;
}

.header_logo {
    width: 2.7rem;
    position: absolute;
}

nav.header_navbar {
    display: inline-flex;
    top: 3.2rem;
    gap: 1.25rem;
    position: absolute;
}


a.header__navbar-item-link {
    display: inline;
    text-decoration: none;
    color: var(--black-color);
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 1rem;
}

/* ABOUT US */

.block_about-us {
    display: flex;
    width: 100%;
    margin-bottom: 1.15rem;
    background-color: var(--dark-green-color);
}

.block_about-us img {
    width: 36vw;
    object-fit: cover;
}

div.block_about-us-intro {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.block_about-us-text {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.block_about-us-title {
    margin-bottom: 0.8rem;
    font-weight: 700;
    font-size: 1.5rem;
    color: var(--white-color);
}

.block_about-us-describe {
    font-family: 'Kaisei Decol', serif;
    font-weight: 700;
    font-size: 1rem;
    text-align: center;
    color: var(--white-color);
    width: 46vw;
}

/* PRODUCT */


.container {
    display: flex;
    width: 100%;
    flex-direction: column;
    background-color: #EEEEEE;
    align-items: center;
    margin-bottom: 1.15rem;
}


.container h2 {
    font-family: 'Kaisei Decol', serif;
    font-weight: 700;
    font-size: 1.5rem;
    color: var(--black-color);
    margin-top: 1.8rem;
    margin-bottom: 2.9rem;
}

.container_product {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    gap: 1.7rem;
    margin-bottom: 3.75rem;
}

.container_product-detail {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.8rem;
    text-align: center;
    width: 8.5rem;
}

.container_product-picture {
    width: 6rem;
    height: 6rem;
}

.container_product-picture img {
    width: 100%;
    object-fit: cover;
}

.container_product-name {
    font-family: 'Jost', sans-serif;
    font-weight: 800;
    font-size: 0.75rem;
    color: var(--black-color);
}

.container_product-describe {
    font-family: 'Kaisei Decol', serif;
    font-weight: 700;
    font-size: 0.5rem;
    color: var(--black-color);
}

/* DISCOUNT */

.block {
    display: flex;
    width: 100%;
    gap: 1.5rem;
    margin-bottom: 1.15rem;
}

.block_discount-info {
    display: flex;
    flex-direction: column;
    background-color: var(--dark-green-color);
    padding: 1.2em 2rem;
    flex-grow: 3;
    align-items: center;
}

.block img {
    width: 33vw;
    object-fit: cover;
}

.block_discount-title {
    font-family: 'Italiana', serif;
    font-weight: 400;
    font-size: 2rem;
    text-align: center;
    color: var(--white-color);
    margin-bottom: 0.2rem;
}


.block_discount-describe {
    font-family: 'Jost', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 1rem;
}

.block_discount-btn {
    padding: 0.2rem 0.8rem;
    /* width: 7rem;
    height: 1.8rem; */
    background: rgba(255, 255, 255, 0.8);
    border: 0.06rem solid #68763F;
    border-radius: 20px;
    font-family: 'Jost', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    text-align: center;
    color: #383F26
}

.block_discount-btn:hover {
    background-color: #68763F;
    color: white;
    cursor: pointer;
}

/* CONTACT */

.form {
    width: 100%;
    height: 18.75rem;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-background {
    width: 100%;
    object-fit: cover;
    height: 100%;
    position: absolute;
    z-index: -1;
}

.form-contact {
    background-color: #FAFAFA;
    width: 42vw;
    display: flex;
    flex-direction: column;
    padding: 1.125rem 1.4rem 1.8rem;
    height: 100%;
}

.form-contact h2 {
    font-family: 'Jost', sans-serif;
    font-weight: 400;
    font-size: 1.25rem;
    text-align: center;
    color: var(--black-color);
    margin-bottom: 1.15rem;
}

.form-contact-personal-info {
    width: 100%;
    height: 1.75rem;
    background: var(--white-color);
    border: 0.125rem solid #9CAB70;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 0.5rem;
    padding-left: 1rem;
    font-family: 'Jost', sans-serif;
    font-size: 1rem;
    margin-bottom: 1rem;
}

textarea {
    width: 100%;
    height: 4.2rem;
    background: var(--white-color);
    border: 0.125rem solid #9CAB70;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 0.5rem;
    padding-left: 1rem;
    padding-top: 0.5rem;
    font-family: 'Jost', sans-serif;
    font-size: 1rem;
    margin-bottom: 1rem;
}

button.form-button {
    /* width: 5rem; */
    /* height: 1.6rem; */
    background: #68763F;
    border: 0.125rem solid var(--dark-green-color);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 0.4rem;
    font-family: 'Jost', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    text-align: center;
    color: var(--white-color);
    padding: 0.1rem 0.8rem;
    margin-left: auto;
}

button.form-button:hover {
    background-color: var(--dark-green-color);
    cursor: pointer;
}

/* ROOT */

.footer {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
    padding: 0.875rem 0.7rem;
}

.footer_logo {
    width: 2.7rem;
    margin-bottom: 0.6rem;
}

.footer_icon {
    display: flex;
    gap: 1rem;
}

.footer_navbar {
    margin-top: 0.7rem;
    ;
    display: inline-flex;
    gap: 1.25rem;
}

a.footer__navbar-item-link {
    text-decoration: none;
    color: var(--dark-green-color);
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 1rem;
}


/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    :root {
        font-size: 0.5rem;
    }

    .header_logo {
        width: 4rem;
    }

    nav.header_navbar {
        top: 5rem;
        gap: 1.8rem;
    }


    a.header__navbar-item-link {
        font-size: 1.3rem;
    }

    /* ABOUT US */

    .block_about-us-title {
        margin-bottom: 0.8rem;
        font-weight: 700;
        font-size: 2.2rem;
    }

    .block_about-us-describe {
        font-weight: 700;
        font-size: 1.2rem;
        width: 48vw;
    }

    /* PRODUCT */
    .container_product {
        flex-wrap: wrap;
    }

    .container_product-detail {
        width: 50%;
    }

    .container_product-picture {
        width: 8rem;
        height: 8rem;
    }

    .container_product-describe {
        font-size: 1.2rem;
    }

    .container_product-name {
        font-size: 1.3rem;
    }

    .container h2 {
        font-size: 2rem;
    }

    /* DISCOUNT */

    .block_discount-title {
        font-size: 3rem;
    }


    .block_discount-describe {
        font-size: 2rem;
    }

    .block_discount-btn {
        font-size: 2rem;
    }

    /* CONTACT */

    .form {
        height: 25rem;
    }

    .form-contact {
        width: 45vw;
        padding: 1.8rem 2.5rem 4rem;
    }

    .form-contact h2 {
        font-size: 2rem;
    }

    .form-contact-personal-info {
        height: 2.5rem;
        padding-left: 1rem;
        font-size: 1.5rem;
        margin-bottom: 1rem;
    }

    textarea {
        height: 5rem;
        padding-left: 1rem;
        padding-top: 0.5rem;
        font-size: 1.5rem;
        margin-bottom: 1.8rem;
    }

    button.form-button {
        font-size: 1.5rem;
        padding: 0.5rem 1.3rem;
    }

    /* ROOT */

    .footer_logo {
        width: 4rem;
        margin-bottom: 0.6rem;
    }

    .footer_icon img {
        width: 2rem;
    }

    a.footer__navbar-item-link {
        font-size: 1.3rem;
    }

}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    :root {
        font-size: 1rem;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    :root {
        font-size: 1.2rem;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    :root {
        font-size: 1.6rem;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    :root {
        font-size: 2rem;
    }
}